Update a specific product collection with Id :collectionId

http
PUT https://services.leadconnectorhq.com/products/collections/{collectionId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
collectionIdstringYes65d71377c326ea78e1c47df5MongoId of the collection

Body

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id
altTypestringYesLOCATIONThe type of alt. For now it is only LOCATION Possible values: 'account'
namestringNoBest SellersName of the Product Collection
slugstringNobest-sellersSlug of the Product Collection which helps in navigation
imagestringNohttp://example.com/watermark.pngThe URL of the image that is going to be displayed as the collection Thumbnail
seoobjectNoThe metadata information which will be displayed in SEO previews

Responses

200 - Successful response
  • status (boolean, required): Status of api action Example: True

  • message (string): Success message Example: Successfully created

json
{
  "status": true,
  "message": "Successfully created"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/products/collections/YOUR_collectionId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "LOCATION",
  "name": "Best Sellers",
  "slug": "best-sellers",
  "image": "http://example.com/watermark.png"
}'

Last updated October 26, 2026

Was this page helpful?